#
# spec file for package perl-Test-Memory-Cycle
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Test-Memory-Cycle
Version:        1.06
Release:        bp154.1.27
%define cpan_name Test-Memory-Cycle
Summary:        Check for memory leaks and circular memory references
License:        Artistic-2.0
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Test-Memory-Cycle/
Source0:        http://www.cpan.org/authors/id/P/PE/PETDANCE/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Devel::Cycle) >= 1.07
BuildRequires:  perl(PadWalker)
Requires:       perl(Devel::Cycle) >= 1.07
Requires:       perl(PadWalker)
%{perl_requires}

%description
Check for memory leaks and circular memory references

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes LICENSE README.md

%changelog
* Wed Apr 13 2016 coolo@suse.com
- add the license also to cpanspec.yml
* Mon Feb 15 2016 eshmarnev@suse.com
- Change licence to spdx format (Artistic-2.0)
* Sun Feb  7 2016 coolo@suse.com
- updated to 1.06
  see /usr/share/doc/packages/perl-Test-Memory-Cycle/Changes
  1.06    Wed Jan 27 22:36:55 CST 2016
    This release has no changes in functionality.
    [FIXES]
  * One of the tests used to use CGI.pm, but it was not a declared
    dependency, so Perl 5.22+ would fail because CGI.pm is no longer
    shipped as core.  The test now uses a local module for testing.
    Thanks, Graham Ollis.
* Thu Aug 27 2015 hsk@imb-jena.de
- add "BuildRequires: CGI" to .spec file so "make test" succeeds
  with perl-5.22
* Tue Jul  5 2011 coolo@novell.com
- fix %%attrs for older distros
* Sat Apr  9 2011 coolo@novell.com
- recreated by cpanspec 1.78.04
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Nov 22 2010 chris@computersalat.de
- recreated by cpanspec 1.78
  o fix deps
* Tue Nov 24 2009 rschweikert@novell.com
- Initial build, version 1.04
